return require('packer').startup(function()
	-- automatic rebuild on plugins.lua change
	vim.cmd([[
		augroup packer_user_config
			autocmd!
			autocmd BufWritePost plugins.lua source <afile> | PackerCompile
		augroup end
	]])

	use 'wbthomason/packer.nvim'
	use 'RRethy/nvim-base16'
	use 'tpope/vim-commentary'
	use {
		'nvim-lualine/lualine.nvim',
		requires = { 'kyazdani42/nvim-web-devicons', opt = true },
		config = function()
			require('lualine').setup()
			vim.o.showmode = false
		end
	}
	use {
		'lewis6991/gitsigns.nvim',
		config = function()
			require('gitsigns').setup()
		end
	}
	use {
		'junegunn/goyo.vim',
		config = function()
			vim.keymap.set('n', '<leader>f', ':lua goyo_toggle()<cr>:Goyo<cr>')
		end
	}

	-- completion
	use 'hrsh7th/nvim-cmp'
	use 'hrsh7th/cmp-buffer'
	use 'hrsh7th/cmp-path'
	use 'hrsh7th/cmp-cmdline'
	use 'saadparwaiz1/cmp_luasnip'

	-- snippets
	use 'L3MON4D3/LuaSnip'
	use 'rafamadriz/friendly-snippets'

	-- LSP
	use 'neovim/nvim-lspconfig'
	use {
		'williamboman/mason.nvim',
		config = function()
			require('mason').setup()
		end
	}
	use 'williamboman/mason-lspconfig.nvim'

end)
